Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> BasiliX Attachment Disclosure Vulnerability


Vulnerability Assessment Details

BasiliX Attachment Disclosure Vulnerability

Vulnerability Assessment Summary
Checks for attachment disclosure vulnerability in BasiliX

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a series of PHP scripts that are prone to
information disclosure.

Description :

The remote host appears to be running a BasiliX version 1.1.0 or lower.
Such versions save attachments by default under '/tmp/BasiliX', which is
world-readable and apparently never emptied by BasiliX itself. As a
result, anyone with shell access on the affected system or who can place
CGI files on it can access attachments uploaded to BasiliX.

See also :

http://archives.neohapsis.com/archives/vulnwatch/2002-q2/0117.html

Solution :

Upgrade to BasiliX version 1.1.1 or later.

Network Security Threat Level:

Low / CVSS Base Score : 2
(AV:L/AC:L/Au:NR/C:P/A:N/I:N/B:C)

Networks Security ID: 5065

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 George A. Theall

Cables, Connectors

1964 Electronic Hybrid/Analog Computers PACE Berkeley EASE Philbrick Tube Op Amp
$34.0
1964 Electronic Hybrid/Analog Computers PACE Berkeley EASE Philbrick Tube Op Amp pictureAnalog Computing - April 1987 issue
$3.0
Analog Computing - April 1987 issue pictureAnalog Computing - May 1988 issue
$3.0
Analog Computing - May 1988 issue pictureAnalog Computing - September 1988 issue
$3.0
Analog Computing - September 1988 issue picture


Discussions

No Discussions have been posted on this vulnerability.